Subject: Re: linux-next: manual merge of the gpio-brgl tree with the arm-soc tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 19 Sep 2024 10:15:24 +1000

Hi all,

On Thu, 12 Sep 2024 17:48:42 +1000 Stephen Rothwell <[email-masked]> wrote:
> 
> Today's linux-next merge of the gpio-brgl tree got a conflict in:
> 
>   arch/arm/mach-ep93xx/vision_ep9307.c
> 
> between commit:
> 
>   3e0bae7f35c9 ("ARM: ep93xx: delete all boardfiles")
> 
> from the arm-soc tree and commits:
> 
>   4b2b0a2ce815 ("gpiolib: legacy: Kill GPIOF_INIT_* definitions")
>   8c045ca534d0 ("gpiolib: legacy: Kill GPIOF_DIR_* definitions")
> 
> from the gpio-brgl tree.
> 
> I fixed it up (I removed the file) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

This is now a conflict between the arm-soc tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell